=== modified file 'NEWS'
--- NEWS	2007-03-26 17:16:00 +0000
+++ NEWS	2007-03-26 16:26:09 +0000
@@ -1,13 +1,6 @@
 March 26 2007
-* Get shelf tests passing with dirstate (again!)
-* RELEASE: bzrtools 0.15.4
-
-March 26 2007
 * Add branch parameter to show-paths
 
-March 16 2007
-* RELEASE: bzrtools 0.15.3
-
 March 12 2007
 * Hack around hunk headers showing as long lines.
 

=== modified file '__init__.py'
--- __init__.py	2007-04-04 18:12:00 +0000
+++ __init__.py	2007-03-16 15:57:51 +0000
@@ -81,7 +81,7 @@
 from bzrlib.errors import BzrCommandError
 import bzrlib.ignores
 from bzrlib.option import Option
-sys.path.insert(0, os.path.realpath(os.path.join(os.path.dirname(__file__),
+sys.path.insert(0, os.path.realpath(os.path.join(os.path.dirname(__file__), 
                                                  "external")))
 
 import show_paths
@@ -104,10 +104,10 @@
 
     To check what clean-tree will do, use --dry-run.
     """
-    takes_options = [Option('ignored', help='delete all ignored files.'),
+    takes_options = [Option('ignored', help='delete all ignored files.'), 
                      Option('detritus', help='delete conflict files, merge'
-                            ' backups, and failed selftest dirs.'),
-                     Option('unknown',
+                            ' backups, and failed selftest dirs.'), 
+                     Option('unknown', 
                             help='delete files unknown to bzr.  (default)'),
                      Option('dry-run', help='show files to delete instead of'
                             ' deleting them.')]
@@ -115,13 +115,13 @@
         from clean_tree import clean_tree
         if not (unknown or ignored or detritus):
             unknown = True
-        clean_tree('.', out=self.outf, unknown=unknown, ignored=ignored,
-                   detritus=detritus, dry_run=dry_run)
+        clean_tree('.', unknown=unknown, ignored=ignored, detritus=detritus, 
+                   dry_run=dry_run)
 
 
 class cmd_graph_ancestry(bzrlib.commands.Command):
     """Produce ancestry graphs using dot.
-
+    
     Output format is detected according to file extension.  Some of the more
     common output formats are html, png, gif, svg, ps.  An extension of '.dot'
     will cause a dot graph file to be produced.  HTML output has mouseovers
@@ -131,10 +131,10 @@
     with the last 5 characters of their revision identifier are used instead.
 
     The value starting with d is "(maximum) distance from the null revision".
-
+    
     If --merge-branch is specified, the two branches are compared and a merge
     base is selected.
-
+    
     Legend:
     white    normal revision
     yellow   THIS  history
@@ -155,11 +155,11 @@
     be disabled with --no-antialias.
     """
     takes_args = ['branch', 'file']
-    takes_options = [Option('no-collapse', help="Do not skip simple nodes"),
+    takes_options = [Option('no-collapse', help="Do not skip simple nodes"), 
                      Option('no-antialias',
-                     help="Do not use rsvg to produce antialiased output"),
-                     Option('merge-branch', type=str,
-                     help="Use this branch to calcuate a merge base"),
+                     help="Do not use rsvg to produce antialiased output"), 
+                     Option('merge-branch', type=str, 
+                     help="Use this branch to calcuate a merge base"), 
                      Option('cluster', help="Use clustered output."),
                      Option('max-distance', help="Show no nodes farther than this",
                             type=int)]
@@ -170,8 +170,8 @@
             ranking = "cluster"
         else:
             ranking = "forced"
-        graph.write_ancestry_file(branch, file, not no_collapse,
-                                  not no_antialias, merge_branch, ranking,
+        graph.write_ancestry_file(branch, file, not no_collapse, 
+                                  not no_antialias, merge_branch, ranking, 
                                   max_distance=max_distance)
 
 
@@ -237,7 +237,7 @@
 
     takes_args = ['file*']
     takes_options = ['message', 'revision',
-            Option('all', help='Shelve all changes without prompting'),
+            Option('all', help='Shelve all changes without prompting'), 
             Option('no-color', help='Never display changes in color')]
 
     def run(self, all=False, file_list=None, message=None, revision=None,
@@ -417,7 +417,7 @@
     """
     takes_args = ["branch?"]
     def run(self, branch=None):
-        from branchhistory import branch_history
+        from branchhistory import branch_history 
         return branch_history(branch)
 
 
@@ -443,7 +443,7 @@
 class cmd_cbranch(bzrlib.commands.Command):
     """
     Create a new checkout, associated with a new repository branch.
-
+    
     When you cbranch, bzr looks up a target location in locations.conf, and
     creates the branch there.
 
@@ -453,18 +453,18 @@
     cbranch_target:policy = appendpath
 
     This will mean that if you run "bzr cbranch foo/bar foo/baz" in the
-    working directory root, the branch will be created in
+    working directory root, the branch will be created in 
     "/branch_root/foo/baz"
 
     NOTE: cbranch also supports "cbranch_root", but that behaviour is
     deprecated.
     """
-    takes_options = [Option("lightweight",
+    takes_options = [Option("lightweight", 
                             help="Create a lightweight checkout"), 'revision']
     takes_args = ["source", "target?"]
     def run(self, source, target=None, lightweight=False, revision=None):
         from cbranch import cbranch
-        return cbranch(source, target, lightweight=lightweight,
+        return cbranch(source, target, lightweight=lightweight, 
                        revision=revision)
 
 
@@ -478,7 +478,7 @@
 
 class cmd_multi_pull(bzrlib.commands.Command):
     """Pull all the branches under a location, e.g. a repository.
-
+    
     Both branches present in the directory and the branches of checkouts are
     pulled.
     """
@@ -536,7 +536,7 @@
 
 class cmd_import(bzrlib.commands.Command):
     """Import sources from a directory, tarball or zip file
-
+    
     This command will import a directory, tarball or zip file into a bzr
     tree, replacing any versioned files already present.  If a directory is
     specified, it is used as the target.  If the directory does not exist, or
@@ -547,7 +547,7 @@
     If the tarball or zip has a single root directory, that directory is
     stripped when extracting the tarball.  This is not done for directories.
     """
-
+    
     takes_args = ['source', 'tree?']
     def run(self, source, tree=None):
         from upstream_import import do_import
@@ -577,10 +577,10 @@
 
     This command should be used on local archives (or mirrors) only.  It is
     quite slow on remote archives.
-
-    reuse_history allows you to specify any previous imports you
+    
+    reuse_history allows you to specify any previous imports you 
     have done of different archives, which this archive has branches
-    tagged from. This will dramatically reduce the time to convert
+    tagged from. This will dramatically reduce the time to convert 
     the archive as it will not have to convert the history already
     converted in that other branch.
 
@@ -600,7 +600,7 @@
     takes_args = ['to_root_dir', 'from_archive', 'reuse_history*']
     takes_options = ['verbose', Option('prefixes', type=str,
                      help="Prefixes of branches to import, colon-separated"),
-                     Option('encoding', type=str,
+                     Option('encoding', type=str, 
                      help='Force encoding to specified value.  See WARNING.')]
 
     def run(self, to_root_dir, from_archive, encoding=None, verbose=False,
@@ -626,7 +626,7 @@
     """
     takes_args = ['to_location', 'from_branch?', 'reuse_history*']
     takes_options = ['verbose', Option('max-count', type=int),
-                     Option('encoding', type=str,
+                     Option('encoding', type=str, 
                      help='Force encoding to specified value.  See WARNING.')]
 
     def run(self, to_location, from_branch=None, fast=False, max_count=None,
@@ -635,7 +635,7 @@
         from errors import NoPyBaz
         try:
             import baz_import
-            baz_import.baz_import_branch(to_location, from_branch, fast,
+            baz_import.baz_import_branch(to_location, from_branch, fast, 
                                          max_count, verbose, encoding, dry_run,
                                          reuse_history_list)
         except NoPyBaz:
@@ -645,10 +645,10 @@
 class cmd_rspush(bzrlib.commands.Command):
     """Upload this branch to another location using rsync.
 
-    If no location is specified, the last-used location will be used.  To
-    prevent dirty trees from being uploaded, rspush will error out if there are
-    unknown files or local changes.  It will also error out if the upstream
-    directory is non-empty and not an earlier version of the branch.
+    If no location is specified, the last-used location will be used.  To 
+    prevent dirty trees from being uploaded, rspush will error out if there are 
+    unknown files or local changes.  It will also error out if the upstream 
+    directory is non-empty and not an earlier version of the branch. 
     """
     takes_args = ['location?']
     takes_options = [Option('overwrite', help='Ignore differences between'
@@ -660,7 +660,7 @@
         from bzrlib import workingtree
         import bzrtools
         cur_branch = workingtree.WorkingTree.open_containing(".")[0]
-        bzrtools.rspush(cur_branch, location, overwrite=overwrite,
+        bzrtools.rspush(cur_branch, location, overwrite=overwrite, 
                       working_tree=not no_tree)
 
 
@@ -680,7 +680,7 @@
             cmd_branches,
             cmd_branch_history,
             cmd_branch_mark,
-            cmd_cbranch,
+            cmd_cbranch,  
             cmd_cdiff,
             cmd_clean_tree,
             cmd_fetch_ghosts,
@@ -689,12 +689,12 @@
             cmd_multi_pull,
             cmd_patch,
             cmd_rspush,
-            cmd_shelf,
+            cmd_shelf, 
             cmd_shell,
-            cmd_shelve,
+            cmd_shelve, 
             cmd_switch,
-            cmd_unshelve,
-            cmd_zap,
+            cmd_unshelve, 
+            cmd_zap,            
             ]
 
 

=== modified file 'baz_import.py'
--- baz_import.py	2007-04-04 18:12:00 +0000
+++ baz_import.py	2007-03-02 05:46:38 +0000
@@ -21,7 +21,7 @@
 from bzrlib.errors import (BzrError,
                            NotBranchError,
                            NoWorkingTree,
-                           BzrCommandError,
+                           BzrCommandError, 
                            NoSuchRevision,
                            NoRepositoryPresent,
                           )
@@ -84,7 +84,7 @@
 
 def make_archive(name, location):
     pb_location = pybaz.ArchiveLocation(location)
-    pb_location.create_master(pybaz.Archive(name),
+    pb_location.create_master(pybaz.Archive(name), 
                               pybaz.ArchiveLocationParams())
 
 def test_environ():
@@ -275,13 +275,13 @@
             br_from.bzrdir.clone(to_location, revision_id)
         except NoSuchRevision:
             rmtree(to_location)
-            msg = "The branch %s has no revision %s." % (from_location,
+            msg = "The branch %s has no revision %s." % (from_location, 
                                                          revision_id)
             raise UserError(msg)
     finally:
         br_from.unlock()
 
-def get_remaining_revisions(output_dir, version, encoding,
+def get_remaining_revisions(output_dir, version, encoding, 
                             reuse_history_from=[]):
     last_patch = None
     old_revno = None
@@ -309,7 +309,7 @@
                     break
                 # try to grab a copy of ancestor
                 # note that is not optimised: we could look for namespace
-                # transitions and only look for the past after the
+                # transitions and only look for the past after the 
                 # transition.
                 for history_root in reuse_history_from:
                     possible_source = os.path.join(history_root,
@@ -332,7 +332,7 @@
                 break
         else:
             raise UserError("Directory \"%s\" already exists, and the last "
-                "revision (%s) is not in the ancestry of %s" %
+                "revision (%s) is not in the ancestry of %s" % 
                 (output_dir, last_patch, version))
         # Strip off all of the ancestors which are already present
         # And get a directory starting with the latest ancestor
@@ -344,13 +344,13 @@
 
 ###class Importer(object):
 ###    """An importer.
-###
+###    
 ###    Currently this is used as a parameter object, though more behaviour is
 ###    possible later.
 ###    """
 ###
 ###    def __init__(self, output_dir, version, fast=False,
-###                 verbose=False, dry_run=False, max_count=None,
+###                 verbose=False, dry_run=False, max_count=None, 
 ###                   reuse_history_from=[]):
 ###        self.output_dir = output_dir
 ###        self.version = version
@@ -362,7 +362,7 @@
                    reuse_history_from=[], standalone=True):
     """
     >>> q = test_environ()
-
+    
     Progress bars output to stderr, but doctest does not capture that.
 
     >>> old_stderr = sys.stderr
@@ -424,7 +424,7 @@
             return
 
         progress_bar.note("importing %s into %s" % (version, output_dir))
-
+    
         tempdir = tempfile.mkdtemp(prefix="baz2bzr-",
                                    dir=os.path.dirname(output_dir))
         try:
@@ -433,14 +433,14 @@
             wt = None
         try:
             for result in iter_import_version(output_dir, ancestors, tempdir,
-                    pb=progress_bar, encoding=encoding, fast=fast,
+                    pb=progress_bar, encoding=encoding, fast=fast, 
                     verbose=verbose, dry_run=dry_run, max_count=max_count,
                     standalone=standalone):
                 show_progress(progress_bar, result)
             if dry_run:
                 progress_bar.note('Dry run, not modifying output_dir')
                 return
-
+    
             # Update the working tree of the branch
             try:
                 wt = WorkingTree.open(output_dir)
@@ -450,15 +450,15 @@
                 wt.set_last_revision(wt.branch.last_revision())
                 wt.set_root_id(BAZ_IMPORT_ROOT)
                 wt.revert([])
-
+    
         finally:
-
+            
             progress_bar.note('Cleaning up')
             shutil.rmtree(tempdir)
         progress_bar.note("Import complete.")
     finally:
         progress_bar.finished()
-
+            
 class UserError(BzrCommandError):
     def __init__(self, message):
         """Exception to throw when a user makes an impossible request
@@ -568,7 +568,7 @@
     return wt
 
 
-def iter_import_version(output_dir, ancestors, tempdir, pb, encoding,
+def iter_import_version(output_dir, ancestors, tempdir, pb, encoding, 
                         fast=False, verbose=False, dry_run=False,
                         max_count=None, standalone=False):
     revdir = None
@@ -671,7 +671,7 @@
                     allow_leftmost_as_ghost=True)
                 missing_ancestor = None
             for merged_rev in direct_merges:
-                target_tree.add_pending_merge(revision_id(merged_rev,
+                target_tree.add_pending_merge(revision_id(merged_rev, 
                                                           encoding))
             target_tree.set_root_id(BAZ_IMPORT_ROOT)
             target_tree.flush()
@@ -691,8 +691,8 @@
     previous_version = revision.version
     if pybaz.WorkingTree(revdir).tree_version != previous_version:
         pybaz.WorkingTree(revdir).set_tree_version(previous_version)
-    log_path = "%s/{arch}/%s/%s/%s/%s/patch-log/%s" % (revdir,
-        revision.category.nonarch, revision.branch.nonarch,
+    log_path = "%s/{arch}/%s/%s/%s/%s/patch-log/%s" % (revdir, 
+        revision.category.nonarch, revision.branch.nonarch, 
         revision.version.nonarch, revision.archive, revision.patchlevel)
     temp_path = tempfile.mktemp(dir=os.path.dirname(revdir))
     os.rename(log_path, temp_path)
@@ -718,9 +718,9 @@
     tree = revision.get(revdir)
     log = get_log(tree, revision)
     try:
-        return tree, bzr_inventory_data(tree), log
+        return tree, bzr_inventory_data(tree), log 
     except BadFileKind, e:
-        raise UserError("Cannot convert %s because %s is a %s" %
+        raise UserError("Cannot convert %s because %s is a %s" % 
                         (revision,e.path, e.kind))
 
 
@@ -730,7 +730,7 @@
     try:
         return bzr_inventory_data(tree), log
     except BadFileKind, e:
-        raise UserError("Cannot convert %s because %s is a %s" %
+        raise UserError("Cannot convert %s because %s is a %s" % 
                         (revision,e.path, e.kind))
 
 
@@ -749,7 +749,7 @@
     inv_map = {}
     for arch_id, path in inv_iter:
         bzr_file_id = map_file_id(arch_id)
-        inv_map[path] = bzr_file_id
+        inv_map[path] = bzr_file_id 
 
     bzr_inv = []
     for path, file_id in inv_map.iteritems():
@@ -767,7 +767,7 @@
     return bzr_inv
 
 
-def baz_import_branch(to_location, from_branch, fast, max_count, verbose,
+def baz_import_branch(to_location, from_branch, fast, max_count, verbose, 
                       encoding, dry_run, reuse_history_list):
     to_location = os.path.realpath(str(to_location))
     if from_branch is not None:
@@ -778,7 +778,7 @@
             return 1
     if reuse_history_list is None:
         reuse_history_list = []
-    import_version(to_location, from_branch, encoding, max_count=max_count,
+    import_version(to_location, from_branch, encoding, max_count=max_count, 
                    reuse_history_from=reuse_history_list)
 
 
@@ -789,7 +789,7 @@
 
 
 
-def baz_import(to_root_dir, from_archive, encoding, verbose=False,
+def baz_import(to_root_dir, from_archive, encoding, verbose=False, 
                reuse_history_list=[], prefixes=None):
     if reuse_history_list is None:
         reuse_history_list = []
@@ -836,7 +836,7 @@
                 os.makedirs(os.path.dirname(target))
             try:
                 import_version(target, version, encoding,
-                               reuse_history_from=reuse_history_from,
+                               reuse_history_from=reuse_history_from, 
                                standalone=standalone)
             except pybaz.errors.ExecProblem,e:
                 if str(e).find('The requested revision cannot be built.') != -1:

=== modified file 'branchhistory.py'
--- branchhistory.py	2007-04-04 18:12:00 +0000
+++ branchhistory.py	2006-12-13 06:53:20 +0000
@@ -10,7 +10,7 @@
     b.repository.lock_read()
     try:
         for revno, revision in iter_revisiondata(b):
-            new_descriptor = (revision.committer,
+            new_descriptor = (revision.committer, 
                               revision.properties.get('branch-nick'))
             if descriptor is None:
                 descriptor = new_descriptor

=== modified file 'bzrtools.py'
--- bzrtools.py	2007-04-04 18:12:00 +0000
+++ bzrtools.py	2007-03-01 06:40:30 +0000
@@ -26,7 +26,7 @@
 import bzrlib
 import bzrlib.errors
 from bzrlib.errors import (BzrCommandError, NotBranchError, NoSuchFile,
-                           UnsupportedFormatError, TransportError,
+                           UnsupportedFormatError, TransportError, 
                            NoWorkingTree, PermissionDenied)
 from bzrlib.bzrdir import BzrDir, BzrDirFormat
 
@@ -99,7 +99,7 @@
     def __init__(self, rsync_name):
         Exception.__init__(self, "%s not found." % rsync_name)
 
-def rsync(source, target, ssh=False, excludes=(), silent=False,
+def rsync(source, target, ssh=False, excludes=(), silent=False, 
           rsync_name="rsync"):
     """
     >>> new_dir = tempfile.mkdtemp()
@@ -134,7 +134,7 @@
     except OSError, e:
         if e.errno == errno.ENOENT:
             raise NoRsync(rsync_name)
-
+            
     proc.stdin.write('\n'.join(excludes)+'\n')
     proc.stdin.close()
     if silent:
@@ -176,7 +176,7 @@
         raise RsyncUnknownStatus(proc.returncode)
     return [l.split(' ')[-1].rstrip('\n') for l in result.splitlines(True)]
 
-exclusions = ('.bzr/x-push-data', '.bzr/branch/x-push/data', '.bzr/parent',
+exclusions = ('.bzr/x-push-data', '.bzr/branch/x-push/data', '.bzr/parent', 
               '.bzr/branch/parent', '.bzr/x-pull-data', '.bzr/x-pull',
               '.bzr/pull', '.bzr/stat-cache', '.bzr/x-rsync-data',
               '.bzr/basis-inventory', '.bzr/inventory.backup.weave')
@@ -216,7 +216,7 @@
         return False
     for local, remote in zip(remote_history, local_history):
         if local != remote:
-            return False
+            return False 
     return True
 
 def empty_or_absent(location):
@@ -232,7 +232,7 @@
         if not location.endswith('/'):
             location += '/'
         push_location = location
-
+    
     if push_location is None:
         raise BzrCommandError("No rspush location known or specified.")
 
@@ -275,7 +275,7 @@
                 " specified location.  Please ensure that"
                 ' "%s" is of the form "machine:/path".' % push_location)
     print "Pushing to %s" % push_location
-    rsync(tree.basedir+'/', push_location, ssh=usessh,
+    rsync(tree.basedir+'/', push_location, ssh=usessh, 
           excludes=final_exclusions)
 
     set_push_data(tree, push_location)
@@ -354,7 +354,7 @@
     except (NoSuchFile, PermissionDenied, TransportError):
         pass
 
-
+    
 def bzrdir_from_transport(t):
     """Open a bzrdir from a transport (not a location)"""
     format = BzrDirFormat.find_format(t)

=== modified file 'clean_tree.py'
--- clean_tree.py	2007-04-04 18:09:00 +0000
+++ clean_tree.py	2007-03-02 05:46:38 +0000
@@ -19,6 +19,7 @@
 import sys
 
 from bzrlib.osutils import has_symlinks, isdir
+from bzrlib.trace import note
 from bzrlib.workingtree import WorkingTree
 
 
@@ -42,8 +43,8 @@
                 yield tree.abspath(subp), subp
 
 
-def clean_tree(directory, out=sys.stdout, unknown=False, ignored=False,
-               detritus=False, dry_run=False):
+def clean_tree(directory, unknown=False, ignored=False, detritus=False, 
+               dry_run=False):
     """Remove files in the specified classes from the tree"""
     tree = WorkingTree.open_containing(directory)[0]
     tree.lock_read()
@@ -55,18 +56,18 @@
         tree.unlock()
 
 
-def delete_items(deletables, out=sys.stdout, dry_run=False):
+def delete_items(deletables, dry_run=False):
     """Delete files in the deletables iterable"""
     has_deleted = False
     for path, subp in deletables:
         if not has_deleted:
-            print >>out, "deleting paths:"
+            note("deleting paths:")
             has_deleted = True
-        print >>out, '  ' + subp
+        note('  ' + subp)
         if not dry_run:
             if isdir(path):
                 shutil.rmtree(path)
             else:
                 os.unlink(path)
     if not has_deleted:
-        print >>out, "No files deleted."
+        note("No files deleted.")

=== modified file 'colordiff.py'
--- colordiff.py	2007-04-04 18:12:00 +0000
+++ colordiff.py	2007-03-16 15:57:32 +0000
@@ -57,7 +57,7 @@
         self.added_trailing_whitespace = 0
         self.spurious_whitespace = 0
         self.long_lines = 0
-        self.max_line_len = 79
+        self.max_line_len = 79 
         self._new_lines = []
         self._old_lines = []
         self.check_style = check_style

=== modified file 'dotgraph.py'
--- dotgraph.py	2007-04-04 18:12:00 +0000
+++ dotgraph.py	2006-02-21 04:04:27 +0000
@@ -25,7 +25,7 @@
 import time
 
 RSVG_OUTPUT_TYPES = ('png', 'jpg')
-DOT_OUTPUT_TYPES = ('svg', 'svgz', 'gif', 'jpg', 'ps', 'fig', 'mif', 'png',
+DOT_OUTPUT_TYPES = ('svg', 'svgz', 'gif', 'jpg', 'ps', 'fig', 'mif', 'png', 
                     'cmapx')
 
 class NoDot(Exception):
@@ -198,9 +198,9 @@
         shutil.rmtree(tempdir)
     return status
 
-def invoke_dot(input, out_file=None, file_type='svg', antialias=None,
+def invoke_dot(input, out_file=None, file_type='svg', antialias=None, 
                fontname="Helvetica", fontsize=11):
-    cmdline = ['dot', '-T%s' % file_type, '-Nfontname=%s' % fontname,
+    cmdline = ['dot', '-T%s' % file_type, '-Nfontname=%s' % fontname, 
                '-Efontname=%s' % fontname, '-Nfontsize=%d' % fontsize,
                '-Efontsize=%d' % fontsize]
     if out_file is not None:

=== modified file 'errors.py'
--- errors.py	2007-04-04 18:12:00 +0000
+++ errors.py	2006-12-04 14:32:43 +0000
@@ -63,8 +63,8 @@
 class ParentMissingRevisions(CommandError):
     """The parent branch is missing revisions."""
     def __init__(self, parent):
-        CommandError.__init__(self,
-            "The parent branch %s is missing revisions from this branch." %
+        CommandError.__init__(self, 
+            "The parent branch %s is missing revisions from this branch." % 
             parent)
         self.parent = parent
 

=== modified file 'fai.py'
--- fai.py	2007-04-04 18:12:00 +0000
+++ fai.py	2006-04-24 01:45:23 +0000
@@ -24,7 +24,7 @@
 
 def direct_merges(merges, excludes=[]):
     """Get a list of direct merges, from a list of direct and indirect
-
+    
     :param merges: Iterator of merge patchlogs
     :type merges: iter of `pybaz.Patchlog`
     :return: The direct merges
@@ -36,15 +36,15 @@
         return []
     for log in logs:
         try:
-            this_indirect = set([str(f) for f in log.new_patches
-                                 if f != log.revision and
+            this_indirect = set([str(f) for f in log.new_patches 
+                                 if f != log.revision and 
                                      str(f) not in indirect])
         except pybaz.errors.NamespaceError:
             print
             print "log ", log, " unusable, attempting to use archive copy."
             log = pybaz.Revision(str(log.revision)).patchlog
-            this_indirect = set([str(f) for f in log.new_patches
-                                 if f != log.revision and
+            this_indirect = set([str(f) for f in log.new_patches 
+                                 if f != log.revision and 
                                      str(f) not in indirect])
         indirect.update(this_indirect)
         if log.continuation_of is not None:
@@ -56,7 +56,7 @@
         except pybaz.errors.ExecProblem:
             # baz does not know
             # guess
-            if log.revision.patchlevel != 'version-0':
+            if log.revision.patchlevel != 'version-0': 
                 ancestor = namespace_previous(log.revision)
             else:
                 found = False
@@ -123,7 +123,7 @@
     :rtype: Iterator of str
     """
     args = [ 'new-merges', '--dir', directory ]
-    if reverse:
+    if reverse: 
         args.append('--reverse')
     args.append(version)
     return sequence_cmd(args)

=== modified file 'fetch_ghosts.py'
--- fetch_ghosts.py	2007-04-04 18:12:00 +0000
+++ fetch_ghosts.py	2006-07-01 22:25:01 +0000
@@ -29,7 +29,7 @@
     installed = []
     failed = []
     lock_other = this_branch.base != other_branch.base
-
+    
     this_branch.lock_write()
     try:
         if lock_other:
@@ -65,7 +65,7 @@
     if not no_fix and len(installed) > 0:
         from bzrlib.builtins import cmd_reconcile
         cmd_reconcile().run(".")
-
+        
 def iter_ghosts(branch):
     """Find all ancestors that aren't stored in this branch."""
     seen = set()

=== modified file 'graph.py'
--- graph.py	2007-04-04 18:12:00 +0000
+++ graph.py	2006-12-22 18:31:21 +0000
@@ -56,9 +56,9 @@
     for me, my_parents in ancestors.iteritems():
         if me in skip:
             continue
-        new_ancestors[me] = {}
+        new_ancestors[me] = {} 
         for parent in my_parents:
-            new_parent = parent
+            new_parent = parent 
             distance = 0
             while can_skip(new_parent, descendants, ancestors):
                 if new_parent in exceptions:
@@ -69,7 +69,7 @@
                 new_parent = list(ancestors[new_parent])[0]
                 distance += 1
             new_ancestors[me][new_parent] = distance
-    return new_ancestors
+    return new_ancestors    
 
 def get_rev_info(rev_id, source):
     """Return the committer, message, and date of a revision."""
@@ -126,11 +126,11 @@
             self.common = []
 
         self.n_history = branch.revision_history()
-        self.distances = node_distances(self.descendants, self.ancestors,
+        self.distances = node_distances(self.descendants, self.ancestors, 
                                         self.root)
         if other_branch is not None:
             self.base = select_farthest(self.distances, self.common)
-            self.m_history = other_branch.revision_history()
+            self.m_history = other_branch.revision_history() 
         else:
             self.base = None
             self.m_history = []
@@ -175,7 +175,7 @@
             color = "#33ff99"
 
         label = [name]
-        committer, message, nick, date = get_rev_info(node,
+        committer, message, nick, date = get_rev_info(node, 
                                                       self.branch.repository)
         if committer is not None:
             label.append(committer)
@@ -192,7 +192,7 @@
         else:
             rank = None
 
-        d_node = Node("n%d" % num, color=color, label="\\n".join(label),
+        d_node = Node("n%d" % num, color=color, label="\\n".join(label), 
                     rev_id=node, cluster=cluster, message=message,
                     date=date)
         d_node.rank = rank
@@ -201,13 +201,13 @@
             d_node.node_style.append('dotted')
 
         return d_node
-
+       
     def get_relations(self, collapse=False, max_distance=None):
         dot_nodes = {}
         node_relations = []
         num = 0
         if collapse:
-            visible_ancestors = compact_ancestors(self.descendants,
+            visible_ancestors = compact_ancestors(self.descendants, 
                                                   self.ancestors, (self.base,))
         else:
             visible_ancestors = self.ancestors
@@ -259,7 +259,7 @@
     done = False
     if ext not in RSVG_OUTPUT_TYPES:
         antialias = False
-    if antialias:
+    if antialias: 
         output = list(output)
         try:
             invoke_dot_aa(output, filename, ext)

=== modified file 'hunk_selector.py'
--- hunk_selector.py	2007-04-04 18:12:00 +0000
+++ hunk_selector.py	2007-01-16 22:17:34 +0000
@@ -25,7 +25,7 @@
                 self.diff_stream = sys.stdout
         else:
             self.diff_stream = sys.stdout
-
+            
         self.standard_options = [
             UserOption('y', self._selected, self.strings['select_desc'],
                 default=True),

=== modified file 'obsolete/annotate.py'
--- obsolete/annotate.py	2007-04-04 18:12:00 +0000
+++ obsolete/annotate.py	2006-03-07 15:23:15 +0000
@@ -97,13 +97,13 @@
 class CantGetRevisionData(Exception):
     def __init__(self, revision):
         Exception.__init__(self, "Can't get data for revision %s" % revision)
-
+        
 def annotate_file2(file_lines, anno_iter):
     for result in iter_annotate_file(file_lines, anno_iter):
         pass
     return result
 
-
+        
 def iter_annotate_file(file_lines, anno_iter):
     lines = [AnnotateLine(f) for f in file_lines]
     patches = []
@@ -118,7 +118,7 @@
 
                 for cur_patch in patches:
                     num = cur_patch.pos_in_mod(num)
-                    if num == None:
+                    if num == None: 
                         break
 
                 if num >= len(lines):

=== modified file 'obsolete/reweave_inventory.py'
--- obsolete/reweave_inventory.py	2007-04-04 18:12:00 +0000
+++ obsolete/reweave_inventory.py	2006-03-22 15:21:38 +0000
@@ -72,7 +72,7 @@
             else:
                 pending.append(index)
 
-
+                
         progress.update('Writing weave')
 
         out_file_name = os.path.join(branch_dir, ".bzr", "inventory.weave")

=== modified file 'progress.py'
--- progress.py	2007-04-04 18:12:00 +0000
+++ progress.py	2005-07-25 14:17:15 +0000
@@ -37,10 +37,10 @@
             return "%i of %i %s %.1f%%" % (self.current, self.total, self.units,
                                          self.percent)
         else:
-            return "%i %s" (self.current, self.units)
+            return "%i %s" (self.current, self.units) 
 
 def show_progress(pi, prog):
     pi.update(prog.units, prog.current, prog.total)
-
+        
 def clear_progress_bar():
     sys.stderr.write('\r%s\r' % (' '*79))

=== modified file 'release.py'
--- release.py	2007-04-04 18:12:00 +0000
+++ release.py	2007-03-07 14:14:01 +0000
@@ -22,7 +22,7 @@
     print "Mismatch between bzrtools version and setup.py version:\n %s %s"\
         % (bzrtools.__version__, match.group(1))
     sys.exit(1)
-
+    
 print "setup.py version: %s" % match.group(1)
 newsmatch = minigrep('RELEASE: bzrtools %s' % (bzrtools.__version__), 'NEWS')
 if newsmatch is None:
@@ -47,5 +47,6 @@
 print 'Created %s' % final_name
 call(['gpg', '--detach-sign', final_name])
 print 'Uploading...'
-call(['scp', final_name, final_name + '.sig',
+call(['scp', final_name, final_name + '.sig', 
       'panoramicfeedback.com:opensource/'])
+print "If you haven't committed, now would be a good time."

=== modified file 'rspush.py'
--- rspush.py	2007-04-04 18:12:00 +0000
+++ rspush.py	2006-05-03 20:05:46 +0000
@@ -18,16 +18,16 @@
 from bzrlib.workingtree import WorkingTree
 import sys
 import os
-import bzrtools
+import bzrtools 
 
 
 class cmd_rspush(Command):
     """Upload this branch to another location using rsync.
 
-    If no location is specified, the last-used location will be used.  To
-    prevent dirty trees from being uploaded, rspush will error out if there are
-    unknown files or local changes.  It will also error out if the upstream
-    directory is non-empty and not an earlier version of the branch.
+    If no location is specified, the last-used location will be used.  To 
+    prevent dirty trees from being uploaded, rspush will error out if there are 
+    unknown files or local changes.  It will also error out if the upstream 
+    directory is non-empty and not an earlier version of the branch. 
     """
     takes_args = ['location?']
     takes_options = [Option('overwrite', help='Ignore differences between'
@@ -37,5 +37,5 @@
 
     def run(self, location=None, overwrite=False, no_tree=False):
         cur_branch = WorkingTree.open_containing(".")[0]
-        bzrtools.rspush(cur_branch, location, overwrite=overwrite,
+        bzrtools.rspush(cur_branch, location, overwrite=overwrite, 
                       working_tree=not no_tree)

=== modified file 'shell.py'
--- shell.py	2007-04-04 18:12:00 +0000
+++ shell.py	2007-01-11 02:35:38 +0000
@@ -80,7 +80,7 @@
             else:
                 iter = iter_file_completions(self.text)
                 completions.extend(filter_completions(iter, self.text))
-            return completions
+            return completions 
 
 
 class PromptCmd(cmd.Cmd):
@@ -122,7 +122,7 @@
     def set_prompt(self):
         if self.tree is not None:
             try:
-                prompt_data = (self.tree.branch.nick, self.tree.branch.revno(),
+                prompt_data = (self.tree.branch.nick, self.tree.branch.revno(), 
                                self.tree.relpath('.'))
                 prompt = " %s:%d/%s" % prompt_data
             except:
@@ -168,7 +168,7 @@
         alias_args = get_alias(args[0])
         if alias_args is not None:
             args[0] = alias_args.pop(0)
-
+            
         commandname = args.pop(0)
         for char in ('|', '<', '>'):
             commandname = commandname.split(char)[0]
@@ -200,7 +200,7 @@
 
     def completedefault(self, text, line, begidx, endidx):
         """Perform completion for native commands.
-
+        
         :param text: The text to complete
         :type text: str
         :param line: The entire line to complete

=== modified file 'tests/is_clean.py'
--- tests/is_clean.py	2007-04-04 18:12:00 +0000
+++ tests/is_clean.py	2007-03-01 06:40:30 +0000
@@ -4,7 +4,7 @@
 from bzrlib.plugins.bzrtools.bzrtools import is_clean
 
 class TestIsClean(tests.TestCaseWithTransport):
-
+    
     def test_is_clean(self):
         tree = self.make_branch_and_tree('.')
         self.assertEqual((True, []), is_clean(tree))

=== modified file 'tests/shelf_tests.py'
--- tests/shelf_tests.py	2007-04-04 18:12:00 +0000
+++ tests/shelf_tests.py	2007-03-16 17:55:17 +0000
@@ -16,20 +16,20 @@
     DIFF_1 = """--- %(filename)s\t%(old_date)s
 +++ %(filename)s\t%(new_date)s
 @@ -1,4 +1,4 @@
-
-
+ 
+ 
 -hello test world
 +goodbye test world
-
+ 
 """
     DIFF_2 = """--- test_file\t%(old_date)s
 +++ test_file\t%(new_date)s
 @@ -1,4 +1,4 @@
-
-
+ 
+ 
 -goodbye test world
 +hello test world
-
+ 
 """
     def _check_diff(self, diff=DIFF_1, filename='test_file'):
         old_tree = self.tree.basis_tree()
@@ -44,7 +44,7 @@
         finally:
             self.tree.unlock()
             old_tree.unlock()
-        keys = { 'filename' : filename , 'old_date': old_date,
+        keys = { 'filename' : filename , 'old_date': old_date, 
                  'new_date': new_date}
         hdr  = self.DIFF_HEADER % keys
         diff = diff % keys
@@ -76,44 +76,46 @@
     def __test_loop(self, count):
         self.tree = self.make_branch_and_tree('.')
         self.__create_and_add_test_file()
-        for counter in range(count):
-            # Modify the test file
-            # write in binary mode because on win32 line-endings should be
-            # LF
-            f = file('test_file', 'wb')
-            f.write(self.MODIFIED)
-            f.close()
-
-            self._check_diff()
-
-            self.tree.lock_write()
-            try:
+        self.tree.lock_write()
+        try:
+            while count > 0:
+                count -= 1
+
+                # Modify the test file
+                # write in binary mode because on win32 line-endings should be
+                # LF
+                f = file('test_file', 'wb')
+                f.write(self.MODIFIED)
+                f.close()
+
+                self._check_diff()
+
                 new_date = _patch_header_date(self.tree,
                     self.tree.inventory.path2id('test_file'), 'test_file')
-            finally:
-                self.tree.unlock()
-
-            # Shelve the changes
-            self.run_bzr('shelve', '--all', retcode=0)
-
-            # Make sure there is no diff anymore
-            self.assertEqual(self.capture('diff', retcode=0), '')
-
-            # Make sure the file is actually back the way it was
-            self.assertEqual(file('test_file').read(), self.ORIGINAL)
-
-            self._check_shelf('00', new_date=new_date)
-
-            # Unshelve
-            self.run_bzr('unshelve', '--all', retcode=0)
-
-            self._check_diff()
-
-            # Check the shelved patch was backed up
-            self._check_shelf('00~', new_date=new_date)
-
-            # Make sure the file is back the way it should be
-            self.assertEqual(file('test_file').read(), self.MODIFIED)
+
+                # Shelve the changes
+                self.run_bzr('shelve', '--all', retcode=0)
+
+                # Make sure there is no diff anymore
+                self.assertEqual(self.capture('diff', retcode=0), '')
+
+                # Make sure the file is actually back the way it was
+                self.assertEqual(file('test_file').read(), self.ORIGINAL)
+
+                self._check_shelf('00', new_date=new_date)
+
+                # Unshelve
+                self.run_bzr('unshelve', '--all', retcode=0)
+
+                self._check_diff()
+
+                # Check the shelved patch was backed up
+                self._check_shelf('00~', new_date=new_date)
+
+                # Make sure the file is back the way it should be
+                self.assertEqual(file('test_file').read(), self.MODIFIED)
+        finally:
+            self.tree.unlock()
 
     def test_shelf_nothing_to_shelve(self):
         import os.path
@@ -612,7 +614,7 @@
         f = file('test_file', 'wb')
         f.write(self.MODIFIED)
         f.close()
-        stdout, error = self.run_bzr_captured(['shelve', '--all',
+        stdout, error = self.run_bzr_captured(['shelve', '--all', 
                                                '--no-color'])
-        stdout, error = self.run_bzr_captured(['unshelve', '--all',
+        stdout, error = self.run_bzr_captured(['unshelve', '--all', 
                                                '--no-color'])

=== modified file 'tests/test_baz_import.py'
--- tests/test_baz_import.py	2007-04-04 18:12:00 +0000
+++ tests/test_baz_import.py	2007-02-15 20:02:58 +0000
@@ -23,8 +23,8 @@
 except ImportError:
     pybaz = None
 import os
-from bzrlib.plugins.bzrtools import cmd_baz_import
-from bzrlib.plugins.bzrtools.baz_import import (import_version,
+from bzrlib.plugins.bzrtools import cmd_baz_import 
+from bzrlib.plugins.bzrtools.baz_import import (import_version, 
                                                 revision_id,
                                                 make_archive,
                                                 map_file_id)
@@ -33,7 +33,7 @@
 import tempfile
 from testresources import (TestResource, TestLoader, OptimisingTestSuite,
                                ResourcedTestCase)
-
+    
 import bzrlib
 from bzrlib.errors import NoSuchRevision
 from bzrlib.plugins.bzrtools.fai import namespace_previous
@@ -44,7 +44,7 @@
         from unittest import TestSuite
         return TestSuite()
     return TestLoader().loadTestsFromName(__name__)
-
+ 
 
 class BazTreeResource(TestResource):
 
@@ -72,9 +72,9 @@
             pybaz.Version(self._empty_tag))
 
         self._empty_merged_tag = 'demo@DONOTUSE/c--empty-merged-tag--0'
-        self._empty_merged_tag_bzr_base = revision_id(self._empty_merged_tag
+        self._empty_merged_tag_bzr_base = revision_id(self._empty_merged_tag 
                                                  + '--base-0', None)
-        self._empty_merged_tag_bzr = revision_id(self._empty_merged_tag
+        self._empty_merged_tag_bzr = revision_id(self._empty_merged_tag 
                                                  + '--patch-1', None)
         pybaz.Revision('demo@DONOTUSE/c--import--0--base-0').make_continuation(
             pybaz.Version(self._empty_merged_tag))
@@ -86,7 +86,7 @@
         msg["summary"]="did a merge, yarh"
         tree.commit(msg)
         shutil.rmtree(os.path.join(self._tmpdir, 'tree'))
-
+        
         # tree, two commits, includes merge of other branch
         self._empty_merged_tag_2 = 'demo@DONOTUSE/c--empty-tag-2--0'
         self._empty_merged_tag_2_bzr_base = revision_id(
@@ -114,7 +114,7 @@
         tree = pybaz.Revision(self._bad_id_tag + '--base-0').get(
             os.path.join(self._tmpdir, 'tree'))
         from bzrlib.plugins.bzrtools.baz_import import add_file
-        add_file(os.path.join(self._tmpdir,'tree/path'), 'text',
+        add_file(os.path.join(self._tmpdir,'tree/path'), 'text', 
                  'this_id/needs%escaping')
         msg = tree.log_message()
         msg["summary"] = "commit something which needs escaping."
@@ -153,7 +153,7 @@
     def make_empty_import(self):
         self._import = 'demo@DONOTUSE/c--import--0'
         os.mkdir(os.path.join(self._tmpdir, 'tree'))
-        tree = pybaz.init_tree(os.path.join(self._tmpdir, 'tree'),
+        tree = pybaz.init_tree(os.path.join(self._tmpdir, 'tree'), 
                                self._import)
         msg = tree.log_message()
         msg["summary"] = "I am importing now"
@@ -163,7 +163,7 @@
     def make_utf8_log(self):
         self._utf8 = 'demo@DONOTUSE/c--utf8--0'
         os.mkdir(os.path.join(self._tmpdir, 'tree'))
-        tree = pybaz.init_tree(os.path.join(self._tmpdir, 'tree'),
+        tree = pybaz.init_tree(os.path.join(self._tmpdir, 'tree'), 
                                self._utf8)
         msg = tree.log_message()
         msg["summary"] = u"I am importing now\u1234".encode('utf-8')
@@ -175,13 +175,13 @@
         self._archive = make_archive('demo-gone@DONOTUSE',
                                      str(self._archivegoneroot))
         self._missing_import = 'demo-gone@DONOTUSE/c--import--0'
-        self._missing_import_bzr = revision_id(self._missing_import
+        self._missing_import_bzr = revision_id(self._missing_import 
                                                  + '--base-0', None)
         self._missing_ancestor = 'demo@DONOTUSE/c--gone--0'
-        self._missing_ancestor_bzr = revision_id(self._missing_ancestor
+        self._missing_ancestor_bzr = revision_id(self._missing_ancestor 
                                                  + '--base-0', None)
         os.mkdir(os.path.join(self._tmpdir, 'tree'))
-        tree = pybaz.init_tree(os.path.join(self._tmpdir, 'tree'),
+        tree = pybaz.init_tree(os.path.join(self._tmpdir, 'tree'), 
                                self._missing_import)
         msg = tree.log_message()
         msg["summary"] = "I am importing now"
@@ -193,11 +193,11 @@
 
         # make an import for testing history-reuse logic.
         # note the use of a namespace layout here.
-        self._missing_import_imported = os.path.join(self._tmpdir,
+        self._missing_import_imported = os.path.join(self._tmpdir, 
                                                      'archivegone-bzr')
         os.mkdir(os.path.join(self._tmpdir, 'archivegone-bzr'))
         os.mkdir(os.path.join(self._tmpdir, 'archivegone-bzr', 'c'))
-        import_version(os.path.join(self._tmpdir, 'archivegone-bzr',
+        import_version(os.path.join(self._tmpdir, 'archivegone-bzr', 
                                     'c', 'import'),
                        pybaz.Version(self._missing_import), None)
         # and make it inaccessible
@@ -206,7 +206,7 @@
     def make_inbranch_continuation(self):
         self._inbranch_tag = 'demo@DONOTUSE/c--inbranch-tag--0'
         self._inbranch_tag_base = self._inbranch_tag + '--base-0'
-        self._inbranch_tag_base_bzr = revision_id(self._inbranch_tag_base,
+        self._inbranch_tag_base_bzr = revision_id(self._inbranch_tag_base, 
                                                   None)
         pybaz.Revision('demo@DONOTUSE/c--import--0--base-0').make_continuation(
             pybaz.Version(self._inbranch_tag))
@@ -255,7 +255,7 @@
     def test_import_empty(self):
         import_version('output', pybaz.Version(self._baz._import), None)
         # expected results:
-        # one commit, no files, revision identifier of
+        # one commit, no files, revision identifier of 
         # 'demo@DONOTUSE_c--import--0--base-0'
         branch = Branch.open('output')
         repo = branch.repository
@@ -281,7 +281,7 @@
     def test_empty_tagged(self):
         import_version('output', pybaz.Version(self._baz._empty_tag), None)
         # expected results:
-        # two commits, no files, revision identifiers of
+        # two commits, no files, revision identifiers of 
         # 'demo@DONOTUSE_c--import--0--base-0' and
         # self._baz._empty_tag_bzr
         branch = Branch.open('output')
@@ -299,15 +299,15 @@
 
         # and we should get some expected values:
         self.assertEqual(rev.committer, "Test User<test@example.org>")
-        self.assertEqual(rev.message,
+        self.assertEqual(rev.message, 
                          "tag of demo@DONOTUSE/c--import--0--base-0")
         self.assertEqual(rev.revision_id, self._baz._empty_tag_bzr)
 
     def test_empty_merged_tagged(self):
-        import_version('output', pybaz.Version(self._baz._empty_merged_tag),
+        import_version('output', pybaz.Version(self._baz._empty_merged_tag), 
                        None)
         # expected results:
-        # two commits, no files, revision identifiers of
+        # two commits, no files, revision identifiers of 
         # 'demo@DONOTUSE_c--import--0--base-0' and
         # self._baz._empty_merged_tag_bzr_base
         # self._baz._empty_merged_tag_bzr
@@ -320,16 +320,16 @@
                           self._baz._empty_merged_tag_bzr_base,
                           self._baz._empty_merged_tag_bzr])
         # and again.
-        import_version('output2', pybaz.Version(self._baz._empty_merged_tag),
+        import_version('output2', pybaz.Version(self._baz._empty_merged_tag), 
                        None)
         branch2 = Branch.open('output2')
         repo2 = branch2.repository
         # and import what we should be merged up against for checking with.
         import_version('output3', pybaz.Version(self._baz._empty_tag), None)
         branch3 = Branch.open('output3')
-
+        
         self.assertEqual(branch.revision_history(), branch2.revision_history())
-        self.assertNotEqual(branch.revision_history(),
+        self.assertNotEqual(branch.revision_history(), 
                             branch3.revision_history())
         # check revisions in the history.
         rev = repo.get_revision(self._baz._empty_merged_tag_bzr_base)
@@ -338,7 +338,7 @@
         self.assertEqual(rev, rev2)
         # and we should get some expected values:
         self.assertEqual(rev.committer, "Test User<test@example.org>")
-        self.assertEqual(rev.message,
+        self.assertEqual(rev.message, 
                          "tag of demo@DONOTUSE/c--import--0--base-0")
         self.assertEqual(rev.revision_id, self._baz._empty_merged_tag_bzr_base)
         self.assertEqual(['Arch-1:demo@DONOTUSE%c--import--0--base-0'],
@@ -357,15 +357,15 @@
                          self._baz._empty_merged_tag_bzr_base)
         self.assertEqual(rev.parent_ids[1], self._baz._empty_tag_bzr)
 
-        # this tree should have nothing missing from that tree.
+        # this tree should have nothing missing from that tree.   
         # FIXME there is no code for this right now.
         # self.assertEqual(branch.missing_revisions(branch3), [])
-
+        
     def test_merge_branch_with_merges(self):
-        import_version('output', pybaz.Version(self._baz._empty_merged_tag_2),
+        import_version('output', pybaz.Version(self._baz._empty_merged_tag_2), 
                        None)
         # expected results:
-        # two commits, no files, revision identifiers of
+        # two commits, no files, revision identifiers of 
         # 'demo@DONOTUSE_c--import--0--base-0' and
         # self._baz._empty_merged_tag_2_bzr_base
         # self._baz._empty_merged_tag_2_bzr
@@ -386,9 +386,9 @@
         import_version('output3', pybaz.Version(self._baz._empty_merged_tag),
                        None)
         branch3 = Branch.open('output3')
-
+        
         self.assertEqual(branch.revision_history(), branch2.revision_history())
-        self.assertNotEqual(branch.revision_history(),
+        self.assertNotEqual(branch.revision_history(), 
                             branch3.revision_history())
         # check revisions in the history.
         rev = repo.get_revision(self._baz._empty_merged_tag_2_bzr_base)
@@ -397,9 +397,9 @@
         self.assertEqual(rev, rev2)
         # and we should get some expected values:
         self.assertEqual(rev.committer, "Test User<test@example.org>")
-        self.assertEqual(rev.message,
+        self.assertEqual(rev.message, 
                          "tag of demo@DONOTUSE/c--import--0--base-0")
-        self.assertEqual(rev.revision_id,
+        self.assertEqual(rev.revision_id, 
                          self._baz._empty_merged_tag_2_bzr_base)
 
         # check next revisions in the history.
@@ -416,15 +416,15 @@
         self.assertEqual(rev.parent_ids[1],
                          self._baz._empty_merged_tag_bzr)
 
-        # this tree should have nothing missing from that tree.
+        # this tree should have nothing missing from that tree.   
         # FIXME there is no code for this right now.
         # self.assertEqual(branch.missing_revisions(branch3), [])
-
+        
     def test_import_symlink(self):
-        import_version('output', pybaz.Version(self._baz._import_symlink),
+        import_version('output', pybaz.Version(self._baz._import_symlink), 
                        None, max_count=1)
         # expected results:
-        # two commits, no files, revision identifier of
+        # two commits, no files, revision identifier of 
         # 'demo@DONOTUSE_c--import--0--base-0'
         branch = Branch.open('output')
         self.assertEqual(branch.revision_history(),
@@ -459,7 +459,7 @@
         import_version('output', pybaz.Version(self._baz._missing_ancestor),
                        None)
         # expected results:
-        # one commits, no files, revision identifiers of
+        # one commits, no files, revision identifiers of 
         # 'demo@DONOTUSE_c--gone--0--base-0' and
         # a merge of demo-gone@DONOTUSE%c--import--0
         branch = Branch.open('output')
@@ -467,7 +467,7 @@
                          [self._baz._missing_ancestor_bzr])
         rev = branch.repository.get_revision(self._baz._missing_ancestor_bzr)
         # and again.
-        import_version('output2', pybaz.Version(self._baz._missing_ancestor),
+        import_version('output2', pybaz.Version(self._baz._missing_ancestor), 
                        None)
         branch2 = Branch.open('output2')
         self.assertEqual(branch.revision_history(), branch2.revision_history())
@@ -477,14 +477,14 @@
 
         # and we should get some expected values:
         self.assertEqual(rev.committer, "Test User<test@example.org>")
-        self.assertEqual(rev.message,
+        self.assertEqual(rev.message, 
                          "tag of demo-gone@DONOTUSE/c--import--0--base-0")
         self.assertEqual(rev.revision_id, self._baz._missing_ancestor_bzr)
         self.assertEqual(rev.parent_ids[0], self._baz._missing_import_bzr)
         self.assertEqual(1, len(rev.parent_ids))
 
         # must NOT be able to get the merged evision
-        self.assertRaises(NoSuchRevision, branch.repository.get_revision,
+        self.assertRaises(NoSuchRevision, branch.repository.get_revision, 
                           self._baz._missing_import_bzr)
 
     def test_missing_ancestor_reusing_history(self):
@@ -492,8 +492,8 @@
                        None,
                        reuse_history_from=[self._baz._missing_import_imported])
         # expected results:
-        # one commits, no files, revision identifiers of
-        # 'demo-gone@DONOTUSE%c--import--0--base-0' and
+        # one commits, no files, revision identifiers of 
+        # 'demo-gone@DONOTUSE%c--import--0--base-0' and 
         # 'demo@DONOTUSE%c--gone--0--base-0'
         branch = Branch.open('output')
         self.assertEqual(branch.revision_history(),
@@ -515,7 +515,7 @@
 
         # and we should get some expected values:
         self.assertEqual(rev.committer, "Test User<test@example.org>")
-        self.assertEqual(rev.message,
+        self.assertEqual(rev.message, 
                          "tag of demo-gone@DONOTUSE/c--import--0--base-0")
         self.assertEqual(rev.revision_id, self._baz._missing_ancestor_bzr)
         self.assertEqual(rev.parent_ids[0], self._baz._missing_import_bzr)
@@ -524,7 +524,7 @@
     def test_bad_file_id(self):
         import_version('output', pybaz.Version(self._baz._bad_id_tag), None)
         # expected results:
-        # three commits, one files, revision identifiers of
+        # three commits, one files, revision identifiers of 
         # 'demo@DONOTUSE_c--import--0--base-0' ,
         # 'demo@DONOTUSE/c--bad-id--0--base-0' ,
         # ''demo@DONOTUSE/c--bad-id--0--patch-1'
@@ -542,7 +542,7 @@
         import_version('output', pybaz.Version(self._baz._bad_id_tag), None,
                        max_count=2)
         # expected results:
-        # three commits, one files, revision identifiers of
+        # three commits, one files, revision identifiers of 
         # 'demo@DONOTUSE_c--import--0--base-0' ,
         # 'demo@DONOTUSE/c--bad-id--0--base-0' ,
         # ''demo@DONOTUSE/c--bad-id--0--patch-1'
@@ -571,7 +571,7 @@
     def test_appending_revisions_all_already_present(self):
         import_version('output', pybaz.Version(self._baz._bad_id_tag), None)
         # expected results:
-        # three commits, one files, revision identifiers of
+        # three commits, one files, revision identifiers of 
         # 'demo@DONOTUSE_c--import--0--base-0' ,
         # 'demo@DONOTUSE/c--bad-id--0--base-0' ,
         # ''demo@DONOTUSE/c--bad-id--0--patch-1'
@@ -601,7 +601,7 @@
     def test_inbranch_conversion(self):
         import_version('output', pybaz.Version(self._baz._inbranch_tag), None)
         # expected results:
-        # three commits, no files, revision identifiers of
+        # three commits, no files, revision identifiers of 
         # 'demo@DONOTUSE_c--import--0--base-0' and
         # self._baz._inbranch_tag_base_bzr
         # self._baz._inbranch_tag_head_bzr
@@ -614,7 +614,7 @@
         # and again.
         import_version('output2', pybaz.Version(self._baz._inbranch_tag), None)
         branch2 = Branch.open('output2')
-
+        
         self.assertEqual(branch.revision_history(), branch2.revision_history())
         # check revisions in the history.
         rev = branch.repository.get_revision(self._baz._inbranch_tag_base_bzr)
@@ -644,7 +644,7 @@
         branch = bzrlib.bzrdir.BzrDir.create_branch_convenience(path)
         import_version(path, pybaz.Version(self._baz._import), None)
         # expected results:
-        # one commit, revision identifier of
+        # one commit, revision identifier of 
         # 'demo@DONOTUSE_c--import--0--base-0'
         self.assertEqual(branch.revision_history(),
                          ['Arch-1:demo@DONOTUSE%c--import--0--base-0'])
@@ -662,11 +662,11 @@
     def test_patch1_base0(self):
         self.assertEqual(namespace_previous(self.version['patch-1']),
                          self.version['base-0'])
-
+        
     def test_patch3000_patch2999(self):
         self.assertEqual(namespace_previous(self.version['patch-3000']),
                          self.version['patch-2999'])
-
+        
     def test_version0_raises(self):
         self.assertRaises(RuntimeError, namespace_previous,
                           self.version['version-0'])
@@ -693,7 +693,7 @@
         from bzrlib.plugins.bzrtools.baz_import import map_namespace
         category = pybaz.Category('foo@example.com/c')
         self.assertRaises(pybaz.errors.NamespaceError, map_namespace, category)
-        self.assertEqual('c/+trunk',
+        self.assertEqual('c/+trunk', 
                          map_namespace(pybaz.Version("%s--0" % category)))
         self.assertEqual('c/0.1/+trunk',
                          map_namespace(pybaz.Version('%s--0.1' % category)))
@@ -726,7 +726,7 @@
     def make_import(self, namespace):
         self._import = 'demo@DONOTUSE/%s' % namespace
         os.mkdir(os.path.join(self._tmpdir, 'tree'))
-        tree = pybaz.init_tree(os.path.join(self._tmpdir, 'tree'),
+        tree = pybaz.init_tree(os.path.join(self._tmpdir, 'tree'), 
                                self._import)
         msg = tree.log_message()
         msg["summary"] = "I am importing now"
@@ -749,9 +749,9 @@
         command = cmd_baz_import()
         command.run(os.path.join(self._tmpdir, 'output'), 'demo@DONOTUSE')
         self.failUnless(os.path.exists(os.path.join(self._tmpdir,'output')))
-        self.failUnless(os.path.exists(os.path.join(self._tmpdir,'output',
+        self.failUnless(os.path.exists(os.path.join(self._tmpdir,'output', 
                                        'c','+trunk')))
-        self.failUnless(os.path.exists(os.path.join(self._tmpdir,'output',
+        self.failUnless(os.path.exists(os.path.join(self._tmpdir,'output', 
                                                     'c1', '0.2','branch')))
         default_format = repository.RepositoryFormat.get_default_format()
         if getattr(default_format, 'rich_root_data', False):
@@ -766,12 +766,12 @@
         command = cmd_baz_import()
         command.run(os.path.join(self._tmpdir, 'output'), 'demo@DONOTUSE')
         command.run(os.path.join(self._tmpdir, 'output'), 'demo@DONOTUSE')
-
+        
     def test_accepts_reuse_history(self):
         self.make_import('c--0')
         self.run_bzr('baz-import', os.path.join(self._tmpdir, 'output'),
                      'demo@DONOTUSE', '.', '.')
-
+        
     def test_does_not_need_reuse_history(self):
         self.make_import('c--0')
         self.run_bzr('baz-import', os.path.join(self._tmpdir, 'output'),
@@ -786,21 +786,21 @@
         self.make_import('c--0')
         self.run_bzr('baz-import', os.path.join(self._tmpdir, 'output'),
                      'demo@DONOTUSE')
-        self.assertEqual(['Arch-1:demo@DONOTUSE%c--0--base-0'],
-                         Branch.open(os.path.join(self._tmpdir,
+        self.assertEqual(['Arch-1:demo@DONOTUSE%c--0--base-0'], 
+                         Branch.open(os.path.join(self._tmpdir, 
                                      'output/c/+trunk')).revision_history())
         self.run_bzr('baz-import', os.path.join(self._tmpdir, 'output2'),
                      'demo@DONOTUSE', '--encoding', 'utf-8')
-        self.assertEqual(['Arch-1-utf-8:demo@DONOTUSE%c--0--base-0'],
-                         Branch.open(os.path.join(self._tmpdir,
+        self.assertEqual(['Arch-1-utf-8:demo@DONOTUSE%c--0--base-0'], 
+                         Branch.open(os.path.join(self._tmpdir, 
                                      'output2/c/+trunk')).revision_history())
         self.run_bzr('baz-import-branch', os.path.join(self._tmpdir, 'output3'),
                      'demo@DONOTUSE/c--0')
-        self.assertEqual(['Arch-1:demo@DONOTUSE%c--0--base-0'],
-                         Branch.open(os.path.join(self._tmpdir,
+        self.assertEqual(['Arch-1:demo@DONOTUSE%c--0--base-0'], 
+                         Branch.open(os.path.join(self._tmpdir, 
                                      'output3')).revision_history())
-        self.run_bzr('baz-import-branch', os.path.join(self._tmpdir,
+        self.run_bzr('baz-import-branch', os.path.join(self._tmpdir, 
                       'output4'), 'demo@DONOTUSE/c--0', '--encoding', 'utf-8')
-        self.assertEqual(['Arch-1-utf-8:demo@DONOTUSE%c--0--base-0'],
-                         Branch.open(os.path.join(self._tmpdir,
+        self.assertEqual(['Arch-1-utf-8:demo@DONOTUSE%c--0--base-0'], 
+                         Branch.open(os.path.join(self._tmpdir, 
                                      'output4')).revision_history())

=== modified file 'tests/upstream_import.py'
--- tests/upstream_import.py	2007-04-04 18:12:00 +0000
+++ tests/upstream_import.py	2007-03-09 18:25:10 +0000
@@ -14,7 +14,7 @@
     import_zip,
     import_dir,
     top_directory,
-    ZipFileWrapper,
+    ZipFileWrapper, 
 )
 from bzrlib.tests import TestCaseInTempDir
 
@@ -81,7 +81,7 @@
                 os.chdir('project-0.1')
             os.mkdir(prefix + 'junk')
             archive_file.add(prefix + 'junk')
-
+            
             f = file(prefix + 'README', 'wb')
             f.write('What?')
             f.close()
@@ -111,7 +111,7 @@
             else:
                 prefix=''
                 os.chdir('project-0.2')
-
+            
             os.mkdir(prefix + 'junk')
             archive_file.add(prefix + 'junk')
 
@@ -139,7 +139,7 @@
 
         os.mkdir('project-0.2')
         tar_file.add('project-0.2')
-
+        
         f = file('project-0.1/README', 'wb')
         f.write('What?')
         f.close()
@@ -214,13 +214,13 @@
         tar_file = self.make_messed_tar()
         tree = BzrDir.create_standalone_workingtree('tree')
         import_tar(tree, tar_file)
-        self.assertTrue(tree.path2id('project-0.1/README') is not None)
+        self.assertTrue(tree.path2id('project-0.1/README') is not None) 
 
     def test_untar_gzip(self):
         tar_file = self.make_tar(mode='w:gz')
         tree = BzrDir.create_standalone_workingtree('tree')
         import_tar(tree, tar_file)
-        self.assertTrue(tree.path2id('README') is not None)
+        self.assertTrue(tree.path2id('README') is not None) 
 
 def test_suite():
     return makeSuite(TestImport)

=== modified file 'upstream_import.py'
--- upstream_import.py	2007-04-04 18:12:00 +0000
+++ upstream_import.py	2007-03-09 18:25:10 +0000
@@ -40,7 +40,7 @@
 
 
 class ZipInfoWrapper(object):
-
+    
     def __init__(self, zipfile, info):
         self.info = info
         self.type = None
@@ -108,7 +108,7 @@
     def isdir(self):
         return stat.S_ISDIR(self.mode)
 
-
+        
 def top_directory(path):
     """Return the top directory given in a path."""
     dirname = os.path.dirname(path)
@@ -184,14 +184,14 @@
         tt.delete_contents(trans_id)
         removed.add(path)
 
-    added = set()
+    added = set() 
     implied_parents = set()
     seen = set()
     for member in archive_file.getmembers():
         if member.type == 'g':
             # type 'g' is a header
             continue
-        relative_path = member.name
+        relative_path = member.name 
         if prefix is not None:
             relative_path = relative_path[len(prefix)+1:]
             relative_path = relative_path.rstrip('/')
@@ -207,7 +207,7 @@
             tt.cancel_creation(trans_id)
         seen.add(member.name)
         if member.isreg():
-            tt.create_file(file_iterator(archive_file.extractfile(member)),
+            tt.create_file(file_iterator(archive_file.extractfile(member)), 
                            trans_id)
             executable = (member.mode & 0111) != 0
             tt.set_executability(executable, trans_id)
@@ -257,7 +257,7 @@
         if tree.changes_from(tree.basis_tree()).has_changed():
             raise BzrCommandError("Working tree has uncommitted changes.")
 
-        if (source.endswith('.tar') or source.endswith('.tar.gz') or
+        if (source.endswith('.tar') or source.endswith('.tar.gz') or 
             source.endswith('.tar.bz2')) or source.endswith('.tgz'):
             try:
                 if source.endswith('.bz2'):

=== modified file 'zap.py'
--- zap.py	2007-04-04 18:12:00 +0000
+++ zap.py	2006-08-08 02:29:34 +0000
@@ -4,7 +4,7 @@
 from bzrlib.errors import NoWorkingTree, NotLocalUrl, NotBranchError
 from bzrlib.workingtree import WorkingTree
 
-from errors import (NotCheckout, UncommittedCheckout, ParentMissingRevisions,
+from errors import (NotCheckout, UncommittedCheckout, ParentMissingRevisions, 
                     NoParent)
 
 
@@ -41,7 +41,7 @@
 def test_suite():
     import os
     from unittest import makeSuite
-
+    
     from bzrlib.bzrdir import BzrDir, BzrDirMetaFormat1
     from bzrlib.branch import BranchReferenceFormat
     from bzrlib.tests import TestCaseInTempDir

